Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.actions
Class PortalInstanceDisplayNameAction

    java.lang.Object
      org.jboss.portal.core.admin.ui.actions.PortalInstanceDisplayNameAction

    public class PortalInstanceDisplayNameAction

extends java.lang.Object

Version:
  $Revision: 630 $
Author:
  Wesley Hales

Field Summary
`java.lang.Object` | `bean`

Constructor Summary
`PortalInstanceDisplayNameAction()`

Method Summary
`void` | `addDisplayName()`
`void` | `editDisplayName()`
`java.lang.String` | `editDisplayNames()`
`java.util.List<DisplayNameBean.Value>` | `getCurrentLocales()`
`DisplayNameBean` | `getDisplayNameBean()`
`java.lang.String` | `getFacesParam(java.lang.String param)`
`InstanceManagerBean` | `getInstanceManager()`
`java.util.SortedMap` | `getLocales()`
`java.lang.String` | `getNewLocale()`
`java.lang.String` | `getNewText()`
`Instance` | `getSelectedInstance()`
`void` | `setDisplayNameBean(DisplayNameBean displayNameBean)`
`void` | `setInstanceManager(InstanceManagerBean instanceManager)`
`void` | `setLocales(java.util.SortedMap locales)`
`void` | `setNewLocale(java.lang.String newLocale)`
`void` | `setNewText(java.lang.String newText)`
`void` | `setSelectedInstance(Instance selectedInstance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bean

    public java.lang.Object bean

Constructor Detail

### PortalInstanceDisplayNameAction

    public PortalInstanceDisplayNameAction()

Method Detail

### addDisplayName

    public void addDisplayName()
                        throws ConversionException

  Throws:
    `ConversionException`

### getSelectedInstance

    public Instance getSelectedInstance()

### setSelectedInstance

    public void setSelectedInstance(Instance selectedInstance)

### getNewText

    public java.lang.String getNewText()

### setNewText

    public void setNewText(java.lang.String newText)

### getLocales

    public java.util.SortedMap getLocales()

### setLocales

    public void setLocales(java.util.SortedMap locales)

### getNewLocale

    public java.lang.String getNewLocale()

### setNewLocale

    public void setNewLocale(java.lang.String newLocale)

### getCurrentLocales

    public java.util.List<DisplayNameBean.Value> getCurrentLocales()

### editDisplayName

    public void editDisplayName()

### getFacesParam

    public java.lang.String getFacesParam(java.lang.String param)

### editDisplayNames

    public java.lang.String editDisplayNames()
                                      throws ConversionException

  Throws:
    `ConversionException`

### getInstanceManager

    public InstanceManagerBean getInstanceManager()

### setInstanceManager

    public void setInstanceManager(InstanceManagerBean instanceManager)

### getDisplayNameBean

    public DisplayNameBean getDisplayNameBean()

### setDisplayNameBean

    public void setDisplayNameBean(DisplayNameBean displayNameBean)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD